<?php
/**
 * The template for displaying archive pages.
 *
 * @package Purosa
 */

get_header();

$purosa_archive_title    	  = get_the_archive_title();
$purosa_archive_description = get_the_archive_description();
?>

<div class="section-wrap main-content">
	<div class="container">
		<div class="row">

			<div class="content blog__content mb-30 <?php if ( 'fullwidth' !== purosa_layout_type( 'archives' ) ) { echo esc_attr( 'col-lg-8' ); } else { echo esc_attr( 'col-lg-12' ); } ?>">
				<main class="site-main">

					<?php if ( is_author() ) : ?>
						<?php purosa_author_box(); ?>
					<?php endif; ?>

					<?php if ( $purosa_archive_title || $purosa_archive_description ) : ?>
					
						<?php if ( $purosa_archive_title ) : ?>
							<h1 class="page-title entry-title">
								<?php echo wp_kses_post( $purosa_archive_title ); ?>
							</h1>
						<?php endif; ?>
						
						<?php if ( $purosa_archive_description ) : ?>
							<?php if ( ! get_the_author_meta( 'description' ) ) : ?>
								<div class="page-title__description"><?php echo wp_kses_post( wpautop( $purosa_archive_description ) ); ?></div>
							<?php endif; ?>							
						<?php endif; ?>

					<?php endif; ?>

					<!-- Grid Layout -->
					<?php get_template_part( 'template-parts/grid-layout' ); ?>

					<!-- Pagination -->
					<?php purosa_post_pagination(); ?>

				</main>
			</div> <!-- .blog__content -->

			<?php
				// Sidebar
				if ( 'fullwidth' !== purosa_layout_type( 'archives' ) ) {
					purosa_sidebar();
				}
			?>

		</div> <!-- .row -->
	</div> <!-- .container -->
</div>

<?php if ( is_active_sidebar( 'purosa-footer-instagram' ) ) : ?>
	<?php dynamic_sidebar( 'purosa-footer-instagram' ); ?>
<?php endif; ?>

<?php get_footer();  ?>