(function($){
	"use strict";

	var $window = $(window);
	var purosa = purosa || {};

	$window.on('load', function() {
		$window.trigger("resize");
	});

	// Preloader
	$('.loader').fadeOut();
	$('.loader-mask').delay(350).fadeOut('slow');


	// Init
	initOwlCarousel();
	initMasonry();
	initResponsiveTables();

	$window.on('resize', function() {
		stickyNavRemove();
	});


	/* Detect Browser Size
	-------------------------------------------------------*/
	var minWidth;
	if (Modernizr.mq('(min-width: 0px)')) {
		// Browsers that support media queries
		minWidth = function (width) {
			return Modernizr.mq('(min-width: ' + width + 'px)');
		};
	}
	else {
		// Fallback for browsers that does not support media queries
		minWidth = function (width) {
			return $window.width() >= width;
		};
	}


	/* Mobile Detect
	-------------------------------------------------------*/
	if (/Android|iPhone|iPad|iPod|BlackBerry|Windows Phone/i.test(navigator.userAgent || navigator.vendor || window.opera)) {
		 $("html").addClass("mobile");
		 $('.dropdown-toggle').attr('data-toggle', 'dropdown');
	}
	else {
		$("html").removeClass("mobile");
	}

	/* IE Detect
	-------------------------------------------------------*/
	if(Function('/*@cc_on return document.documentMode===10@*/')()){ $("html").addClass("ie"); }


	/* Sticky Navigation
	-------------------------------------------------------*/
	$window.scroll(function(){
		scrollToTop();    
		initStickyNav(); 
	});


	function initStickyNav() {
		var $navSticky = $('.nav--sticky');

		if ( $window.scrollTop() > 190 ) {
      $navSticky.addClass('sticky');
    } else {
      $navSticky.removeClass('sticky');
    }

    if ( $window.scrollTop() > 200 ) {
      $navSticky.addClass('offset');
    } else {
      $navSticky.removeClass('offset');
    }

    if ( $window.scrollTop() > 500 ) {
      $navSticky.addClass('scrolling');
    } else {
      $navSticky.removeClass('scrolling');
    }
	}

	function stickyNavRemove() {
		if ( minWidth( 1025 ) ) {
			$('.nav__dropdown-menu').css('display', '');
		}
	}

	/*	-----------------------------------------------------------------------------------------------
    Primary Menu
  --------------------------------------------------------------------------------------------------- */
  purosa.primaryMenu = {

    init: function() {
      this.focusMenuWithChildren();
      this.mobileToggle();
    },

    // The focusMenuWithChildren() function implements Keyboard Navigation in the Primary Menu
    // by adding the '.focus' class to all 'li.menu-item-has-children' when the focus is on the 'a' element.
    focusMenuWithChildren: function() {
      // Get all the link elements within the primary menu.
			var links, i, len,
				menu = document.querySelector( '.nav__wrap' ),
				iconToggle = document.querySelector( '.nav__icon-toggle' );
				
			let focusableElements = 'button, [href], input, select, textarea, [tabindex]:not([tabindex="-1"])';
			let firstFocusableElement = iconToggle; // get first element to be focused inside menu
			let focusableContent = menu.querySelectorAll(focusableElements);
			let lastFocusableElement = focusableContent[focusableContent.length - 1]; // get last element to be focused inside menu

      if ( ! menu ) {
        return false;
      }

      links = menu.getElementsByTagName( 'a' );

      // Each time a menu link is focused or blurred, toggle focus.
      for ( i = 0, len = links.length; i < len; i++ ) {
        links[i].addEventListener( 'focus', toggleFocus, true );
        links[i].addEventListener( 'blur', toggleFocus, true );
      }

      // Sets or removes the .focus class on an element.
      function toggleFocus() {
        var self = this;

        // Move up through the ancestors of the current link until we hit .nav__menu.
        while (-1 === self.className.indexOf( 'nav__menu' ) ) {
          // On li elements toggle the class .focus.
          if ( 'li' === self.tagName.toLowerCase() ) {
            if ( -1 !== self.className.indexOf( 'focus' ) ) {
              self.className = self.className.replace( ' focus', '' );
            } else {
              self.className += ' focus';
            }
          }
          self = self.parentElement;
        }
			}
			
			// Trap focus inside modal to make it ADA compliant
			document.addEventListener('keydown', function (e) {
				let isTabPressed = e.key === 'Tab' || e.keyCode === 9;

				if ( ! isTabPressed ) {
					return;
				}

				if ( e.shiftKey ) { // if shift key pressed for shift + tab combination
					if (document.activeElement === firstFocusableElement) {
						lastFocusableElement.focus(); // add focus for the last focusable element
						e.preventDefault();
					}
				} else { // if tab key is pressed
					if (document.activeElement === lastFocusableElement) { // if focused has reached to last focusable element then focus first focusable element after pressing tab
						firstFocusableElement.focus(); // add focus for the first focusable element
						e.preventDefault();
					}
				}
			});

		},
		
		mobileToggle : function() {
			let navIconToggle = document.querySelector( '.nav__icon-toggle' );
			navIconToggle.addEventListener( 'click', function() {
				console.log('clicked');
				this.classList.toggle( 'nav__icon-toggle--is-opened' );
			});
			
		}

  }; // purosa.primaryMenu


	/* Mobile Navigation
	-------------------------------------------------------*/
	(function() {
		let $navDropdownMenu = $('.nav__dropdown-menu');
		let $navDropdown = $('.nav__dropdown');

		$('.nav__dropdown-trigger').on('click', function () {
			$(this).toggleClass("active").attr('aria-expanded', function (index, attr) {
				return attr == 'true' ? 'false' : 'true';
			});
		});

		if ($('html').hasClass('mobile')) {
			$('body').on('click', function () {
				$navDropdownMenu.addClass('hide-dropdown');
			});

			if ( minWidth( 1025 ) ) {				
				$navDropdown.on('click', '> a', function (e) {
					e.preventDefault();
				});
			}

			$navDropdown.on('click', function (e) {
				e.stopPropagation();
				$navDropdownMenu.removeClass('hide-dropdown');
			});
		}
	})();


	/* Nav Search
	-------------------------------------------------------*/
	(function() {
		var $searchModal = $('#search-modal');
		var $body = $('body');
		var $searchInput = $('.search-modal .search-input');
		$searchModal.on('show.bs.modal', function (e) {
			$body.addClass('search-modal--open');			
		});

		$searchModal.on('shown.bs.modal', function (e) {
			$searchInput.focus();
		});

		$searchModal.on('hidden.bs.modal', function (e) {
			$body.removeClass('search-modal--open');
		});
	})();

	/* Sticky sidebar
	-------------------------------------------------------*/
	(function() {
		var $stickyCol = $('.sticky-col');
		if( $stickyCol.length ) {
			$stickyCol.stick_in_parent({
				offset_top: 100
			});
		}
	})();
	

	/* Responsive Tables
	-------------------------------------------------------*/
	function initResponsiveTables() {
		var $table = $('.wp-block-table');
		if ( $table.length > 0 ) {
			$table.wrap('<div class="table-responsive"></div>');
		}
	}


	/* Masonry
	-------------------------------------------------------*/
	function initMasonry() {
		var $grid = $('.masonry-grid').imagesLoaded( function() {
			$grid.masonry({
				itemSelector: '.masonry-item',
				columnWidth: '.masonry-item',
				percentPosition: true
			});
		});
	} 
	

	/* Owl Carousel
	-------------------------------------------------------*/
	function initOwlCarousel(){

		// Single Image
		$("#owl-single").owlCarousel({
			items: 1,
			loop: true,
			nav: true,
			dots: true,
			lazyLoad: true,
			navSpeed: 500,
			navText: ['<i class="ui-arrow-left">','<i class="ui-arrow-right">']
		});
    
	};


	/* Scroll to Top
	-------------------------------------------------------*/
	function scrollToTop() {
		var scroll = $window.scrollTop();
		var $backToTop = $("#back-to-top");
		if (scroll >= 50) {
			$backToTop.addClass("show");
		} else {
			$backToTop.removeClass("show");
		}
	}

	$('a[href="#top"]').on('click',function(){
		$('html, body').animate({scrollTop: 0}, 750);
		return false;
	});

	/* Document Ready
	-------------------------------------------------------*/
	$(document).ready( function() {
		purosa.primaryMenu.init();
	});

})(jQuery);