<?php

/**
 * The header for our theme.
 *
 * @package Purosa
 */
?>
<!DOCTYPE html>
<html <?php 
language_attributes();
?>>
<head>  
	<meta charset="<?php 
bloginfo( 'charset' );
?>">
	<!--[if IE]><meta http-equiv='X-UA-Compatible' content='IE=edge,chrome=1'><![endif]-->
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<?php 
wp_head();
?>
</head>

<body <?php 
body_class();
?> itemscope itemtype="http://schema.org/WebPage">

	<?php 
wp_body_open();
?>

	<a class="skip-link screen-reader-text" href="#site-content"><?php 
echo  esc_html__( 'Skip to the content', 'purosa' ) ;
?></a>
	
	<!-- Preloader -->
	<?php 
if ( get_theme_mod( 'purosa_preloader_show', false ) ) {
    ?>
		<div class="loader-mask">
			<div class="loader">
				<div></div>
			</div>
		</div>
	<?php 
}
?>

	<div id="site-content" class="main-wrapper">
		
		<?php 
purosa_search_modal();
?>

		<!-- Header -->
    <header class="nav" itemtype="https://schema.org/WPHeader" itemscope="itemscope">
			<div class="nav__holder <?php 
if ( get_theme_mod( 'purosa_sticky_nav_show', true ) ) {
    echo  esc_attr( 'nav--sticky' ) ;
}
?>">
				<div class="nav__container container">
					<div class="nav__flex-parent flex-parent">
						<div class="nav__header">

							<!-- Logo -->					
							<a href="<?php 
echo  esc_url( home_url( '/' ) ) ;
?>" class="logo-container" itemtype="https://schema.org/Organization" itemscope="itemscope">
								<?php 

if ( get_theme_mod( 'purosa_logo_image_upload' ) ) {
    ?>
									<img src="<?php 
    echo  esc_attr( get_theme_mod( 'purosa_logo_image_upload' ) ) ;
    ?>" srcset="<?php 
    echo  esc_attr( get_theme_mod( 'purosa_logo_image_upload' ) ) . ' 1x' ;
    ?>, <?php 
    echo  esc_attr( get_theme_mod( 'purosa_logo_retina_image_upload' ) ) . ' 2x' ;
    ?>" class="logo" alt="<?php 
    bloginfo( 'name' );
    ?>">
								<?php 
} else {
    ?>
									<span class="site-title"><?php 
    bloginfo( 'name' );
    ?></span>
									<?php 
    $purosa_tagline = get_bloginfo( 'description', 'display' );
    ?>
									<p class="site-tagline"><?php 
    echo  esc_html( $purosa_tagline ) ;
    ?></p>
								<?php 
}

?>
							</a>

							<?php 
?>
							
							<?php 

if ( has_nav_menu( 'primary' ) ) {
    ?>
								<!-- Mobile toggle -->
								<button type="button" class="nav__icon-toggle" id="nav__icon-toggle" data-toggle="collapse" data-target="#navbar-collapse">
									<span class="sr-only"><?php 
    esc_html_e( 'Toggle navigation', 'purosa' );
    ?></span>
									<span class="nav__icon-toggle-bar"></span>
									<span class="nav__icon-toggle-bar"></span>
									<span class="nav__icon-toggle-bar"></span>
								</button>
							<?php 
}

?>		

						</div> <!-- .nav__header -->						

						<!-- Nav-wrap -->
						<nav class="nav__wrap collapse navbar-collapse" id="navbar-collapse" itemtype="https://schema.org/SiteNavigationElement" itemscope="itemscope">
							<?php 
if ( has_nav_menu( 'primary' ) ) {
    wp_nav_menu( array(
        'theme_location' => 'primary',
        'fallback_cb'    => '__return_false',
        'container'      => false,
        'menu_class'     => 'nav__menu',
        'walker'         => new Purosa_Walker_Nav_Primary(),
    ) );
}
?>
							
							<?php 

if ( get_theme_mod( 'purosa_nav_search_show', true ) ) {
    ?>
								<!-- Mobile Search -->
								<div class="nav__search-mobile d-lg-none">                            
									<?php 
    get_search_form();
    ?>
								</div>
							<?php 
}

?>

						</nav> <!-- end nav-wrap -->

						<div class="nav__right d-lg-flex d-none">
							
							<?php 
?>

							<?php 
?>

							<?php 
if ( get_theme_mod( 'purosa_nav_search_show', true ) ) {
    ?>
								<!-- Search -->
								<div class="nav__search">
									<a href="#" class="nav__search-trigger" data-toggle="modal" data-target="#search-modal">
										<i class="ui-search nav__search-trigger-icon"></i>
									</a>                
								</div>
							<?php 
}
?>

						</div> <!-- .nav__right -->

					</div> <!-- .flex-parent -->
				</div> <!-- .nav__container -->
			</div> <!-- .nav__holder -->
    </header> <!-- .header -->