<?php

/**
 * Theme Customizer
 *
 * @package Purosa
 */
function purosa_customize_register( $wp_customize )
{
    // Customize Background Settings
    $wp_customize->get_section( 'background_image' )->title = esc_html__( 'Background Styles', 'purosa' );
    $wp_customize->get_control( 'background_color' )->section = 'background_image';
    // Remove Custom Header Section
    $wp_customize->remove_section( 'colors' );
}

add_action( 'customize_register', 'purosa_customize_register' );
// Check if Kirki is installed

if ( class_exists( 'Kirki' ) ) {
    // Selector Vars
    $purosa_selectors = array(
        'main_color'                 => 'a,
			.loader,
			.highlight,
			.comment-edit-link,			
			.footer .widget.widget_calendar a,
			.widget_rss .rsswidget:hover,
			.widget_recent_entries a:hover,
			.widget_recent_comments a:hover,
			.widget_nav_menu a:hover,
			.widget_archive a:hover,
			.widget_pages a:hover,
			.widget_categories a:hover,			
			.widget_meta a:hover,			
			.copyright a:hover,
			.copyright a:focus',
        'main_background_color'      => '.btn--color,
			.btn--button:focus,
			.btn:hover,
			.mc4wp-form-fields input[type=submit]:focus,
			.sidebar .instagram-pics + .clear > a,
			a.cc-btn.cc-dismiss,
			.post-password-form label + input,
			#back-to-top:hover,
			.widget_tag_cloud a:hover,
			.entry__tags a:hover,
			.thumb-text-holder .entry__meta-category,
			.page-numbers.current,
			.pagination a:hover',
        'secondary_background_color' => '.woocommerce .coupon button.button,
			.woocommerce table.shop_table .actions > button.button:disabled',
        'main_border_color'          => 'input:focus,
			textarea:focus,
			#add_payment_method table.cart td.actions .coupon .input-text:focus,
			.woocommerce-cart table.cart td.actions .coupon .input-text:focus,
			.woocommerce-checkout table.cart td.actions .coupon .input-text:focus',
        'main_border_top_color'      => '.elementor-widget-tabs .elementor-tab-title.elementor-active',
        'post_links_color'           => '.entry__article p a, .entry__article li:not(.wp-social-link) a',
        'meta_color'                 => '.entry__meta-item',
        'headings_color'             => 'h1,h2,h3,h4,h5,h6,
			table thead tr th,
			table tbody tr th',
        'text_color'                 => 'body,
			.copyright,
			.deo-newsletter-gdpr-checkbox__label,
			.entry__tags a,
			figcaption,
			.comment-date,
			.comment-form-cookies-consent label,			
			.pagination span,
			.pagination a,			
			.widget_tag_cloud a,
			.widget_recent_entries a,
			.widget_recent_comments a,
			.widget_nav_menu a,
			.widget_archive a,
			.widget_pages a,
			.widget_categories a,
			.widget_meta a',
        'footer_links_color'         => '.footer__widgets a,
			.footer #wp-calendar caption,
			.footer #wp-calendar a,
			.footer .deo-newsletter-gdpr-checkbox__label',
        'headings'                   => 'h1,h2,h3,h4,h5,h6',
        'h1'                         => 'h1, .h1',
        'h2'                         => 'h2, .h2',
        'h3'                         => 'h3, .h3',
        'h4'                         => 'h4, .h4',
        'h5'                         => 'h5, .h5',
        'h6'                         => 'h6, .h6',
        'text'                       => 'body,
			.btn,
			input,
			.deo-newsletter-gdpr-checkbox__label,
			label',
    );
    $purosa_colors = array(
        'primary_color'    => '#39B54A',
        'secondary_color'  => '#F0F9F1',
        'headings_color'   => '#242424',
        'text_color'       => '#777777',
        'post_links_color' => '#55ACEE',
        'meta_color'       => '#969696',
    );
    $purosa_bp_lg_up = '@media (min-width: 1025px)';
    $purosa_bp_lg_down = '@media (max-width: 1024px)';
    // Kirki
    Kirki::add_config( 'purosa_config', array(
        'capability'  => 'edit_theme_options',
        'option_type' => 'theme_mod',
        'option_name' => 'purosa_config',
    ) );
    /**
     * SECTIONS / PANELS
     **/
    $purosa_priority = 20;
    // Preloader
    Kirki::add_section( 'purosa_preloader', array(
        'title'       => esc_html__( 'Preloader', 'purosa' ),
        'description' => esc_html__( 'Theme Preloader Options', 'purosa' ),
        'priority'    => $purosa_priority++,
    ) );
    // Header
    Kirki::add_section( 'purosa_header', array(
        'title'    => esc_html__( 'Header', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // Footer
    Kirki::add_section( 'purosa_footer', array(
        'title'    => esc_html__( 'Footer', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // Featured Area
    Kirki::add_section( 'purosa_featured_area', array(
        'title'    => esc_html__( 'Featured Area', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // BLOG PANEL
    Kirki::add_panel( 'purosa_blog', array(
        'title'    => esc_attr__( 'Blog', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // Post Meta
    Kirki::add_section( 'purosa_post_meta', array(
        'title'       => esc_html__( 'Post Meta', 'purosa' ),
        'description' => esc_html__( 'These options will apply to the default WordPress posts. Customize Elementor widgets post meta via Elementor.', 'purosa' ),
        'panel'       => 'purosa_blog',
    ) );
    // Single Post
    Kirki::add_section( 'purosa_single_post', array(
        'title' => esc_html__( 'Single Post', 'purosa' ),
        'panel' => 'purosa_blog',
    ) );
    // LAYOUT PANEL
    Kirki::add_panel( 'purosa_layout', array(
        'title'    => esc_html__( 'Layout', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // Home page Layout
    Kirki::add_section( 'purosa_home_layout', array(
        'title'       => esc_html__( 'Home Page', 'purosa' ),
        'description' => esc_html__( 'Layout options for the home page if set to show recent posts', 'purosa' ),
        'panel'       => 'purosa_layout',
    ) );
    // Blog Layout
    Kirki::add_section( 'purosa_blog_layout', array(
        'title'       => esc_html__( 'Single Post', 'purosa' ),
        'description' => esc_html__( 'Layout options for the blog posts', 'purosa' ),
        'panel'       => 'purosa_layout',
    ) );
    // Page Layout
    Kirki::add_section( 'purosa_page_layout', array(
        'title'       => esc_html__( 'Page', 'purosa' ),
        'description' => esc_html__( 'Layout options for the regular pages', 'purosa' ),
        'panel'       => 'purosa_layout',
    ) );
    // Archives Layout
    Kirki::add_section( 'purosa_archives_layout', array(
        'title'       => esc_html__( 'Archives', 'purosa' ),
        'description' => esc_html__( 'Layout options for archives and categories pages', 'purosa' ),
        'panel'       => 'purosa_layout',
    ) );
    // COLORS PANEL
    Kirki::add_panel( 'purosa_colors', array(
        'title'    => esc_html__( 'Colors', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // General Colors
    Kirki::add_section( 'purosa_general_colors', array(
        'title' => esc_html__( 'General Colors', 'purosa' ),
        'panel' => 'purosa_colors',
    ) );
    // Header Colors
    Kirki::add_section( 'purosa_header_colors', array(
        'title' => esc_html__( 'Header Colors', 'purosa' ),
        'panel' => 'purosa_colors',
    ) );
    // Text Colors
    Kirki::add_section( 'purosa_text_colors', array(
        'title' => esc_html__( 'Text Colors', 'purosa' ),
        'panel' => 'purosa_colors',
    ) );
    // Footer Colors
    Kirki::add_section( 'purosa_footer_colors', array(
        'title' => esc_html__( 'Footer Colors', 'purosa' ),
        'panel' => 'purosa_colors',
    ) );
    // Typography
    Kirki::add_section( 'purosa_typography', array(
        'title'    => esc_html__( 'Typography', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // Newsletter
    Kirki::add_section( 'purosa_newsletter', array(
        'title'    => esc_html__( 'Newsletter', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    // 404
    Kirki::add_section( 'purosa_404', array(
        'title'    => esc_html__( '404', 'purosa' ),
        'priority' => $purosa_priority++,
    ) );
    /**
     * CONTROLS
     **/
    // Logo Image Upload
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'image',
        'settings' => 'purosa_logo_image_upload',
        'label'    => esc_attr__( 'Upload Logo', 'purosa' ),
        'section'  => 'title_tagline',
        'default'  => get_template_directory_uri() . '/assets/img/logo.png',
    ) );
    // Logo Retina Image Upload
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'image',
        'settings'    => 'purosa_logo_retina_image_upload',
        'label'       => esc_attr__( 'Upload Retina Logo', 'purosa' ),
        'description' => esc_html__( 'Logo 2x bigger size', 'purosa' ),
        'section'     => 'title_tagline',
        'default'     => get_template_directory_uri() . '/assets/img/logo@2x.png',
    ) );
    // Preloader
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_preloader_show',
        'label'    => esc_html__( 'Enable/Disable Theme Preloader', 'purosa' ),
        'section'  => 'purosa_preloader',
        'default'  => false,
    ) );
    /**
     * Header
     */
    // Sticky nav
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_sticky_nav_show',
        'label'    => esc_html__( 'Sticky Navbar', 'purosa' ),
        'section'  => 'purosa_header',
        'default'  => true,
    ) );
    // Header container width
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'slider',
        'settings'  => 'purosa_header_container_width',
        'label'     => esc_attr__( 'Header container width', 'purosa' ),
        'section'   => 'purosa_header',
        'default'   => 1200,
        'choices'   => array(
        'min'  => '400',
        'max'  => '1920',
        'step' => '1',
    ),
        'output'    => array( array(
        'element'     => '.nav__container',
        'property'    => 'max-width',
        'units'       => 'px',
        'media_query' => '@media (min-width: 1280px)',
    ) ),
        'transport' => 'auto',
    ) );
    // Header navbar height
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'slider',
        'settings'    => 'purosa_header_navbar_height',
        'label'       => esc_attr__( 'Header navbar height', 'purosa' ),
        'description' => esc_html__( 'Will apply only on big screens, doesn\'t affect mobile headers.', 'purosa' ),
        'section'     => 'purosa_header',
        'default'     => 70,
        'choices'     => array(
        'min'  => '40',
        'max'  => '200',
        'step' => '1',
    ),
        'output'      => array( array(
        'element'     => '.nav, .nav__flex-parent',
        'property'    => 'height',
        'units'       => 'px',
        'media_query' => $purosa_bp_lg_up,
    ), array(
        'element'     => '.nav',
        'property'    => 'min-height',
        'units'       => 'px',
        'media_query' => $purosa_bp_lg_up,
    ), array(
        'element'     => '.nav__menu > li > a',
        'property'    => 'line-height',
        'units'       => 'px',
        'media_query' => $purosa_bp_lg_up,
    ) ),
        'transport'   => 'auto',
    ) );
    // Logo height
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'slider',
        'settings'  => 'purosa_header_logo_height',
        'label'     => esc_attr__( 'Header logo height', 'purosa' ),
        'section'   => 'purosa_header',
        'default'   => 42,
        'choices'   => array(
        'min'  => '10',
        'max'  => '200',
        'step' => '1',
    ),
        'output'    => array( array(
        'element'  => '.nav__header .logo',
        'property' => 'max-height',
        'units'    => 'px',
    ) ),
        'transport' => 'auto',
    ) );
    // Menu items horizontal spacing
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'slider',
        'settings'    => 'purosa_header_text_links_horizontal_spacing',
        'label'       => esc_attr__( 'Menu text links horizontal spacing', 'purosa' ),
        'description' => esc_html__( 'Will apply only on big screens, doesn\'t affect mobile headers', 'purosa' ),
        'section'     => 'purosa_header',
        'default'     => 11,
        'choices'     => array(
        'min'  => '0',
        'max'  => '60',
        'step' => '1',
    ),
        'output'      => array( array(
        'element'     => '.nav__menu > li > a',
        'property'    => 'padding-left',
        'units'       => 'px',
        'media_query' => $purosa_bp_lg_up,
    ), array(
        'element'     => '.nav__menu > li > a',
        'property'    => 'padding-right',
        'units'       => 'px',
        'media_query' => $purosa_bp_lg_up,
    ) ),
        'transport'   => 'auto',
    ) );
    // Show nav search
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_nav_search_show',
        'label'    => esc_html__( 'Show navbar search', 'purosa' ),
        'section'  => 'purosa_header',
        'default'  => true,
    ) );
    // Show back to top
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_back_to_top_show',
        'label'    => esc_html__( 'Show back to top arrow', 'purosa' ),
        'section'  => 'purosa_header',
        'default'  => true,
    ) );
    /**
     * Featured Area
     */
    // Featured Show
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_featured_area_show',
        'label'    => esc_html__( 'Show Featured Area', 'purosa' ),
        'section'  => 'purosa_featured_area',
        'default'  => 1,
        'choices'  => array(
        'on'  => esc_attr__( 'On', 'purosa' ),
        'off' => esc_attr__( 'Off', 'purosa' ),
    ),
    ) );
    // Featured Categories
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'select',
        'settings' => 'purosa_featured_area_categories',
        'label'    => esc_html__( 'Choose featured category', 'purosa' ),
        'section'  => 'purosa_featured_area',
        'default'  => 0,
        'choices'  => purosa_categories_dropdown(),
    ) );
    // Featured Order
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'select',
        'settings' => 'purosa_featured_area_order',
        'label'    => esc_html__( 'Order', 'purosa' ),
        'section'  => 'purosa_featured_area',
        'default'  => 'DESC',
        'choices'  => array(
        'ASC'  => esc_attr__( 'Ascending', 'purosa' ),
        'DESC' => esc_attr__( 'Descending', 'purosa' ),
    ),
    ) );
    // Featured Orderby
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'select',
        'settings' => 'purosa_featured_area_orderby',
        'label'    => esc_html__( 'Order by', 'purosa' ),
        'section'  => 'purosa_featured_area',
        'default'  => 'date',
        'choices'  => array(
        'date'          => esc_attr__( 'Date', 'purosa' ),
        'title'         => esc_attr__( 'Title', 'purosa' ),
        'modified'      => esc_attr__( 'Modified date', 'purosa' ),
        'comment_count' => esc_attr__( 'Comment count', 'purosa' ),
        'menu_order'    => esc_attr__( 'Menu order', 'purosa' ),
        'rand'          => esc_attr__( 'Random', 'purosa' ),
    ),
    ) );
    // Featured Posts IDs
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'text',
        'settings'    => 'purosa_featured_area_post_ids',
        'label'       => esc_html__( 'Choose specific posts by ID', 'purosa' ),
        'description' => esc_html__( 'Paste posts ID\'s separated by commas. This will overwrite featured category settings.', 'purosa' ),
        'section'     => 'purosa_featured_area',
    ) );
    /**
     * Blog
     */
    // Meta category
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_meta_category_show',
        'label'    => esc_attr__( 'Show meta category', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 1,
    ) );
    // Meta date
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_meta_date_show',
        'label'    => esc_attr__( 'Show meta date', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 1,
    ) );
    // Publish date format
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_display_publish_date_as_time_ago',
        'label'    => esc_attr__( 'Display Publish Date as Time Ago', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 1,
    ) );
    // Meta comments
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_meta_comments_show',
        'label'    => esc_attr__( 'Show meta comments', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 1,
    ) );
    // Meta author
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_meta_author_show',
        'label'    => esc_attr__( 'Show meta author', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 1,
    ) );
    // Post excerpt
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_post_excerpt_show',
        'label'    => esc_attr__( 'Show post excerpt', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 1,
    ) );
    // Post excerpt length
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'number',
        'settings' => 'purosa_post_excerpt_length',
        'label'    => esc_attr__( 'Post excerpt length (in words)', 'purosa' ),
        'section'  => 'purosa_post_meta',
        'default'  => 30,
        'choices'  => array(
        'min'  => 0,
        'max'  => 9999,
        'step' => 1,
    ),
    ) );
    // Featured Image
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_post_featured_image_show',
        'label'    => esc_attr__( 'Show Featured Image', 'purosa' ),
        'section'  => 'purosa_single_post',
        'default'  => true,
    ) );
    // Featured Image Height
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'slider',
        'settings'    => 'purosa_post_featured_image_height',
        'label'       => esc_attr__( 'Height of Featured Image', 'purosa' ),
        'description' => esc_html__( 'Will apply only on big screens', 'purosa' ),
        'section'     => 'purosa_single_post',
        'default'     => 570,
        'choices'     => array(
        'min'  => '300',
        'max'  => '1000',
        'step' => '1',
    ),
        'output'      => array( array(
        'element'     => '.single-post__entry-img-holder',
        'property'    => 'min-height',
        'units'       => 'px',
        'media_query' => $purosa_bp_lg_up,
    ) ),
        'transport'   => 'auto',
    ) );
    // Post tags
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_post_tags_show',
        'label'    => esc_attr__( 'Show tags', 'purosa' ),
        'section'  => 'purosa_single_post',
        'default'  => 1,
    ) );
    // Recent posts
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_related_posts_show',
        'label'    => esc_attr__( 'Show related posts', 'purosa' ),
        'section'  => 'purosa_single_post',
        'default'  => 1,
    ) );
    // Author box
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_author_box_show',
        'label'    => esc_attr__( 'Show author box', 'purosa' ),
        'section'  => 'purosa_single_post',
        'default'  => 1,
    ) );
    /**
     * Layout
     */
    // Home Page Layout
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'radio-image',
        'settings' => 'purosa_home_layout_type',
        'label'    => esc_html__( 'Layout type', 'purosa' ),
        'section'  => 'purosa_home_layout',
        'default'  => 'right-sidebar',
        'choices'  => array(
        'left-sidebar'  => get_template_directory_uri() . '/assets/img/customizer/left-sidebar.png',
        'right-sidebar' => get_template_directory_uri() . '/assets/img/customizer/right-sidebar.png',
        'fullwidth'     => get_template_directory_uri() . '/assets/img/customizer/fullwidth.png',
    ),
    ) );
    // Home Page columns
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'select',
        'settings' => 'purosa_home_page_columns',
        'label'    => esc_html__( 'Home Page columns', 'purosa' ),
        'section'  => 'purosa_home_layout',
        'default'  => 'col-lg-6',
        'choices'  => array(
        'col-lg-12' => esc_attr__( '1 Column', 'purosa' ),
        'col-lg-6'  => esc_attr__( '2 Columns', 'purosa' ),
        'col-lg-4'  => esc_attr__( '3 Columns', 'purosa' ),
        'col-lg-3'  => esc_attr__( '4 Columns', 'purosa' ),
    ),
    ) );
    // Single Post Layout
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'radio-image',
        'settings' => 'purosa_blog_layout_type',
        'label'    => esc_html__( 'Layout type', 'purosa' ),
        'section'  => 'purosa_blog_layout',
        'default'  => 'fullwidth',
        'choices'  => array(
        'left-sidebar'  => get_template_directory_uri() . '/assets/img/customizer/left-sidebar.png',
        'right-sidebar' => get_template_directory_uri() . '/assets/img/customizer/right-sidebar.png',
        'fullwidth'     => get_template_directory_uri() . '/assets/img/customizer/fullwidth.png',
    ),
    ) );
    // Page Layout
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'radio-image',
        'settings' => 'purosa_page_layout_type',
        'label'    => esc_html__( 'Layout type', 'purosa' ),
        'section'  => 'purosa_page_layout',
        'default'  => 'fullwidth',
        'choices'  => array(
        'left-sidebar'  => get_template_directory_uri() . '/assets/img/customizer/left-sidebar.png',
        'right-sidebar' => get_template_directory_uri() . '/assets/img/customizer/right-sidebar.png',
        'fullwidth'     => get_template_directory_uri() . '/assets/img/customizer/fullwidth.png',
    ),
    ) );
    // Archives Layout
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'radio-image',
        'settings' => 'purosa_archives_layout_type',
        'label'    => esc_html__( 'Layout type', 'purosa' ),
        'section'  => 'purosa_archives_layout',
        'default'  => 'fullwidth',
        'choices'  => array(
        'left-sidebar'  => get_template_directory_uri() . '/assets/img/customizer/left-sidebar.png',
        'right-sidebar' => get_template_directory_uri() . '/assets/img/customizer/right-sidebar.png',
        'fullwidth'     => get_template_directory_uri() . '/assets/img/customizer/fullwidth.png',
    ),
    ) );
    // Archives columns
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'select',
        'settings'    => 'purosa_archives_columns',
        'label'       => esc_html__( 'Archives columns', 'purosa' ),
        'description' => esc_attr__( 'Applies on archive and search results pages.', 'purosa' ),
        'section'     => 'purosa_archives_layout',
        'default'     => 'col-lg-4',
        'choices'     => array(
        'col-lg-12' => esc_attr__( '1 Column', 'purosa' ),
        'col-lg-6'  => esc_attr__( '2 Columns', 'purosa' ),
        'col-lg-4'  => esc_attr__( '3 Columns', 'purosa' ),
        'col-lg-3'  => esc_attr__( '4 Columns', 'purosa' ),
    ),
    ) );
    /**
     * Newsletter
     */
    // Newsletter Image Control
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'image',
        'settings'    => 'purosa_newsletter_image',
        'label'       => esc_attr__( 'Newsletter Image Upload', 'purosa' ),
        'description' => esc_attr__( 'Recommended size is 1232x415.', 'purosa' ),
        'section'     => 'purosa_newsletter',
        'default'     => get_template_directory_uri() . '/assets/img/defaults/newsletter_img.jpg',
    ) );
    /**
     * Colors
     */
    /*-------------------------------------------------------*/
    /* General Colors
    	/*-------------------------------------------------------*/
    // Main color
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'color',
        'settings'    => 'purosa_main_color',
        'label'       => esc_html__( 'Main accent color', 'purosa' ),
        'description' => esc_html__( 'Some buttons can be customized with Elementor instead', 'purosa' ),
        'section'     => 'purosa_general_colors',
        'default'     => $purosa_colors['primary_color'],
        'output'      => array(
        array(
        'element'  => $purosa_selectors['main_color'],
        'property' => 'color',
    ),
        array(
        'element'  => ( isset( $purosa_selectors['shop_main_color'] ) ? $purosa_selectors['shop_main_color'] : '' ),
        'property' => 'color',
    ),
        array(
        'element'  => $purosa_selectors['main_background_color'],
        'property' => 'background-color',
    ),
        array(
        'element'  => ( isset( $purosa_selectors['shop_main_background_color'] ) ? $purosa_selectors['shop_main_background_color'] : '' ),
        'property' => 'background-color',
    ),
        array(
        'element'  => $purosa_selectors['main_border_color'],
        'property' => 'border-color',
    ),
        array(
        'element'  => $purosa_selectors['main_border_top_color'],
        'property' => 'border-top-color',
    )
    ),
        'transport'   => 'auto',
    ) );
    // Secondary color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_secondary_color',
        'label'     => esc_html__( 'Secondary color (light buttons)', 'purosa' ),
        'section'   => 'purosa_general_colors',
        'default'   => $purosa_colors['secondary_color'],
        'output'    => array( array(
        'element'  => $purosa_selectors['secondary_background_color'],
        'property' => 'background-color',
    ) ),
        'transport' => 'auto',
    ) );
    /*-------------------------------------------------------*/
    /* Header Colors
    	/*-------------------------------------------------------*/
    // Header background color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_header_background_color',
        'label'     => esc_html__( 'Header background color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => 'rgba(255,255,255,1)',
        'choices'   => array(
        'alpha' => true,
    ),
        'output'    => array( array(
        'element'  => '.nav, .nav__holder.sticky',
        'property' => 'background-color',
    ) ),
        'transport' => 'auto',
    ) );
    // Header logo color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_header_logo_color',
        'label'     => esc_html__( 'Header logo color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => $purosa_colors['primary_color'],
        'output'    => array( array(
        'element'  => '.site-title',
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    // Header tagline color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_header_tagline_color',
        'label'     => esc_html__( 'Header tagline color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => $purosa_colors['text_color'],
        'output'    => array( array(
        'element'  => '.site-tagline',
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    // Menu links color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_nav_links_color',
        'label'     => esc_html__( 'Menu links color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => '#242424',
        'output'    => array( array(
        'element'  => '.nav__menu > li > a',
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    // Menu accent links / icons hover color
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'color',
        'settings'    => 'purosa_nav_links_hover_color',
        'label'       => esc_html__( 'Menu accent color', 'purosa' ),
        'description' => esc_html__( 'Affects active menu link color, links hover color and nav cart color', 'purosa' ),
        'section'     => 'purosa_header_colors',
        'default'     => $purosa_colors['primary_color'],
        'output'      => array( array(
        'element'  => '.nav__menu > li > a:hover,
					.nav__menu > li > a:focus,
					.nav__menu > li.active > a,
					.nav__menu > .current_page_parent > a,
					.nav__menu .current-menu-item > a,
					.nav__dropdown-menu > li > a:hover,
					.nav__dropdown-menu > li > a:focus,
					.nav__search-trigger:hover,
					.nav__search-trigger:focus,
					.nav__cart-url:hover .nav__cart-icon,
					.nav__cart-url:focus .nav__cart-icon',
        'property' => 'color',
    ), array(
        'element'  => '.nav__cart-count',
        'property' => 'background-color',
    ) ),
        'transport'   => 'auto',
    ) );
    // Dropdown background color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_nav_dropdown_background_color',
        'label'     => esc_html__( 'Dropdown background color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => '#ffffff',
        'output'    => array( array(
        'element'     => '.nav__dropdown-menu',
        'property'    => 'background-color',
        'media_query' => $purosa_bp_lg_up,
    ) ),
        'transport' => 'auto',
    ) );
    // Dropdown menu links color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_nav_dropdown_links_color',
        'label'     => esc_html__( 'Dropdown menu links color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => '#777777',
        'output'    => array( array(
        'element'  => '.nav__dropdown-menu > li > a',
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    // Header icons color
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'color',
        'settings'    => 'purosa_header_icons_color',
        'label'       => esc_html__( 'Header icons color', 'purosa' ),
        'description' => esc_html__( 'Search, Cart icons color', 'purosa' ),
        'section'     => 'purosa_header_colors',
        'default'     => '#242424',
        'output'      => array( array(
        'element'  => '.nav__cart-icon, .nav__search-trigger',
        'property' => 'color',
    ) ),
        'transport'   => 'auto',
    ) );
    // Mobile menu dividers color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_header_mobile_menu_dividers_color',
        'label'     => esc_html__( 'Mobile menu dividers color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => '#F1F1F1',
        'choices'   => array(
        'alpha' => true,
    ),
        'output'    => array( array(
        'element'     => '.nav__menu li a',
        'property'    => 'border-bottom-color',
        'media_query' => $purosa_bp_lg_down,
    ) ),
        'transport' => 'auto',
    ) );
    // Mobile menu dropdown arrows color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_header_mobile_menu_dropdown_arrows_color',
        'label'     => esc_html__( 'Mobile menu dropdown arrows color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => '#777777',
        'output'    => array( array(
        'element'     => '.nav__dropdown-trigger',
        'property'    => 'color',
        'media_query' => $purosa_bp_lg_down,
    ) ),
        'transport' => 'auto',
    ) );
    // Mobile Header menu toggle color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_header_mobile_menu_toggle_color',
        'label'     => esc_html__( 'Mobile menu toggle color', 'purosa' ),
        'section'   => 'purosa_header_colors',
        'default'   => '#242424',
        'output'    => array( array(
        'element'  => '.nav__icon-toggle-bar',
        'property' => 'background-color',
    ) ),
        'transport' => 'auto',
    ) );
    /*-------------------------------------------------------*/
    /* Blog Colors
    	/*-------------------------------------------------------*/
    // Post links color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_post_links_color',
        'label'     => esc_html__( 'Post links color', 'purosa' ),
        'section'   => 'purosa_blog_colors',
        'default'   => $purosa_colors['post_links_color'],
        'output'    => array( array(
        'element'  => $purosa_selectors['post_links_color'],
        'property' => 'color',
    ), array(
        'element'  => '.edit-post-visual-editor a, .editor-rich-text__tinymce a',
        'property' => 'color',
        'context'  => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // Post Meta color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_meta_color',
        'label'     => esc_html__( 'Post meta color', 'purosa' ),
        'section'   => 'purosa_blog_colors',
        'default'   => $purosa_colors['meta_color'],
        'output'    => array( array(
        'element'  => $purosa_selectors['meta_color'],
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    /*-------------------------------------------------------*/
    /* Text Colors
    	/*-------------------------------------------------------*/
    // Headings color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_headings_color',
        'label'     => esc_html__( 'Headings color', 'purosa' ),
        'section'   => 'purosa_text_colors',
        'default'   => $purosa_colors['headings_color'],
        'output'    => array( array(
        'element'  => $purosa_selectors['headings_color'],
        'property' => 'color',
    ), array(
        'element'  => ( isset( $purosa_selectors['shop_headings_color'] ) ? $purosa_selectors['shop_headings_color'] : '' ),
        'property' => 'color',
    ), array(
        'element'  => '.edit-post-visual-editor .editor-post-title__block .editor-post-title__input,
				.edit-post-visual-editor .wp-block[data-type="core/heading"] h1,
				.edit-post-visual-editor .wp-block[data-type="core/heading"] h2,
				.edit-post-visual-editor .wp-block[data-type="core/heading"] h3,
				.edit-post-visual-editor .wp-block[data-type="core/heading"] h4,
				.edit-post-visual-editor .wp-block[data-type="core/heading"] h5,
				.edit-post-visual-editor .wp-block[data-type="core/heading"] h6',
        'property' => 'color',
        'context'  => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // Text color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_text_color',
        'label'     => esc_html__( 'Text color', 'purosa' ),
        'section'   => 'purosa_text_colors',
        'default'   => $purosa_colors['text_color'],
        'output'    => array( array(
        'element'  => $purosa_selectors['text_color'],
        'property' => 'color',
    ), array(
        'element'  => ( isset( $purosa_selectors['shop_text_color'] ) ? $purosa_selectors['shop_text_color'] : '' ),
        'property' => 'color',
    ), array(
        'element'  => '.edit-post-visual-editor',
        'property' => 'color',
        'context'  => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    /*-------------------------------------------------------*/
    /* Footer Colors
    	/*-------------------------------------------------------*/
    // Footer background color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_footer_background_color',
        'label'     => esc_html__( 'Footer background color', 'purosa' ),
        'section'   => 'purosa_footer_colors',
        'default'   => '#ffffff',
        'output'    => array( array(
        'element'  => '.footer',
        'property' => 'background-color',
    ) ),
        'transport' => 'auto',
    ) );
    // Footer widget title color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_footer_widget_title_color',
        'label'     => esc_html__( 'Footer widget title color', 'purosa' ),
        'section'   => 'purosa_footer_colors',
        'default'   => $purosa_colors['headings_color'],
        'output'    => array( array(
        'element'  => '.footer__widgets .widget-title',
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    // Footer links color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_footer_links_color',
        'label'     => esc_html__( 'Footer links color', 'purosa' ),
        'section'   => 'purosa_footer_colors',
        'default'   => $purosa_colors['text_color'],
        'output'    => array( array(
        'element'  => $purosa_selectors['footer_links_color'],
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    // Footer copyright text color
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'color',
        'settings'  => 'purosa_footer_copyright_text_color',
        'label'     => esc_html__( 'Footer copyright text color', 'purosa' ),
        'section'   => 'purosa_footer_colors',
        'default'   => '#999999',
        'output'    => array( array(
        'element'  => '.copyright',
        'property' => 'color',
    ) ),
        'transport' => 'auto',
    ) );
    /**
     * Typography
     */
    // H1 control
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'typography',
        'settings'  => 'purosa_headings_h1',
        'label'     => esc_html__( 'H1 Headings', 'purosa' ),
        'section'   => 'purosa_typography',
        'default'   => array(
        'font-family' => 'Roboto',
        'font-size'   => '45px',
        'font-weight' => '700',
        'line-height' => '1.3',
    ),
        'choices'   => array(
        'variant' => array( 'regular', '500' ),
    ),
        'output'    => array( array(
        'element' => $purosa_selectors['h1'],
    ), array(
        'element' => '.edit-post-visual-editor .wp-block[data-type="core/heading"] h1,
				.edit-post-visual-editor .editor-post-title__block .editor-post-title__input',
        'context' => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // H2 control
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'typography',
        'settings'  => 'purosa_headings_h2',
        'label'     => esc_html__( 'H2 Headings', 'purosa' ),
        'section'   => 'purosa_typography',
        'default'   => array(
        'font-family' => 'Roboto',
        'font-size'   => '34px',
        'font-weight' => '700',
        'line-height' => '1.3',
    ),
        'choices'   => array(
        'variant' => array( 'regular', '500' ),
    ),
        'output'    => array( array(
        'element' => $purosa_selectors['h2'],
    ), array(
        'element' => '.edit-post-visual-editor .wp-block[data-type="core/heading"] h2',
        'context' => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // H3 control
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'typography',
        'settings'  => 'purosa_headings_h3',
        'label'     => esc_html__( 'H3 Headings', 'purosa' ),
        'section'   => 'purosa_typography',
        'default'   => array(
        'font-family' => 'Roboto',
        'font-size'   => '28px',
        'font-weight' => '700',
        'line-height' => '1.3',
    ),
        'choices'   => array(
        'variant' => array( 'regular', '500' ),
    ),
        'output'    => array( array(
        'element' => $purosa_selectors['h3'],
    ), array(
        'element' => '.edit-post-visual-editor .wp-block[data-type="core/heading"] h3',
        'context' => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // H4 control
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'typography',
        'settings'  => 'purosa_headings_h4',
        'label'     => esc_html__( 'H4 Headings', 'purosa' ),
        'section'   => 'purosa_typography',
        'default'   => array(
        'font-family' => 'Roboto',
        'font-size'   => '24px',
        'font-weight' => '700',
        'line-height' => '1.3',
    ),
        'choices'   => array(
        'variant' => array( 'regular', '500' ),
    ),
        'output'    => array( array(
        'element' => $purosa_selectors['h4'],
    ), array(
        'element' => '.edit-post-visual-editor .wp-block[data-type="core/heading"] h4',
        'context' => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // H5 control
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'typography',
        'settings'  => 'purosa_headings_h5',
        'label'     => esc_html__( 'H5 Headings', 'purosa' ),
        'section'   => 'purosa_typography',
        'default'   => array(
        'font-family' => 'Roboto',
        'font-size'   => '20px',
        'font-weight' => '700',
        'line-height' => '1.3',
    ),
        'choices'   => array(
        'variant' => array( 'regular', '500' ),
    ),
        'output'    => array( array(
        'element' => $purosa_selectors['h5'],
    ), array(
        'element' => '.edit-post-visual-editor .wp-block[data-type="core/heading"] h5',
        'context' => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // H6 control
    Kirki::add_field( 'purosa_config', array(
        'type'      => 'typography',
        'settings'  => 'purosa_headings_h6',
        'label'     => esc_html__( 'H6 Headings', 'purosa' ),
        'section'   => 'purosa_typography',
        'default'   => array(
        'font-family' => 'Roboto',
        'font-size'   => '16px',
        'font-weight' => '700',
        'line-height' => '1.3',
    ),
        'choices'   => array(
        'variant' => array( 'regular', '500' ),
    ),
        'output'    => array( array(
        'element' => 'h6, .elementor-widget-tabs .elementor-tab-title, .elementor-accordion .elementor-tab-title',
    ), array(
        'element' => '.edit-post-visual-editor .wp-block[data-type="core/heading"] h6',
        'context' => array( 'editor' ),
    ) ),
        'transport' => 'auto',
    ) );
    // Body typography control
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'typography',
        'settings'    => 'purosa_body_typography',
        'label'       => esc_html__( 'Body Typography', 'purosa' ),
        'description' => esc_html__( 'Select the main typography.', 'purosa' ),
        'help'        => esc_html__( 'The typography options you set here apply to all content on your site.', 'purosa' ),
        'section'     => 'purosa_typography',
        'default'     => array(
        'font-family' => 'Roboto',
        'font-size'   => '16px',
        'line-height' => '1.5',
    ),
        'choices'     => array(
        'variant' => array( '700', '500', 'italic' ),
    ),
        'output'      => array( array(
        'element' => $purosa_selectors['text'],
    ) ),
        'transport'   => 'auto',
    ) );
    // Post typography control
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'typography',
        'settings'    => 'purosa_post_typography',
        'label'       => esc_html__( 'Post Typography', 'purosa' ),
        'description' => esc_html__( 'Select the post typography options for your site.', 'purosa' ),
        'section'     => 'purosa_typography',
        'default'     => array(
        'font-size'   => '1.125rem',
        'line-height' => '1.8',
    ),
        'output'      => array( array(
        'element' => '.entry__article',
    ), array(
        'element' => '.edit-post-visual-editor .block-editor-block-list__block,
				.edit-post-visual-editor .block-editor-block-list__block-edit,
				.edit-post-visual-editor',
        'context' => array( 'editor' ),
    ) ),
        'transport'   => 'auto',
    ) );
    // Menu Links typography
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'typography',
        'settings'    => 'purosa_nav_links_typography',
        'label'       => esc_html__( 'Nav Links Typography', 'purosa' ),
        'description' => esc_html__( 'Select the manu links typography.', 'purosa' ),
        'section'     => 'purosa_typography',
        'default'     => array(
        'font-family' => 'Roboto',
        'font-weight' => '700',
    ),
        'output'      => array( array(
        'element' => '.nav__menu > li > a',
    ) ),
        'transport'   => 'auto',
    ) );
    /**
     * Footer
     */
    // Show footer widgets
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_footer_widgets_show',
        'label'    => esc_attr__( 'Show footer widgets', 'purosa' ),
        'section'  => 'purosa_footer',
        'default'  => true,
    ) );
    // Footer columns
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'select',
        'settings' => 'purosa_footer_columns',
        'label'    => esc_html__( 'How many columns to show', 'purosa' ),
        'section'  => 'purosa_footer',
        'default'  => 'four-col',
        'choices'  => array(
        'one-col'   => esc_attr__( '1 Column', 'purosa' ),
        'two-col'   => esc_attr__( '2 Columns', 'purosa' ),
        'three-col' => esc_attr__( '3 Columns', 'purosa' ),
        'four-col'  => esc_attr__( '4 Columns', 'purosa' ),
    ),
    ) );
    // Show bottom footer year
    Kirki::add_field( 'purosa_config', array(
        'type'     => 'toggle',
        'settings' => 'purosa_footer_bottom_year_show',
        'label'    => esc_attr__( 'Show bottom footer year', 'purosa' ),
        'section'  => 'purosa_footer',
        'default'  => true,
    ) );
    // Bottom footer text
    Kirki::add_field( 'purosa_config', array(
        'type'              => 'text',
        'settings'          => 'purosa_footer_bottom_text',
        'section'           => 'purosa_footer',
        'label'             => esc_html__( 'Footer bottom text', 'purosa' ),
        'description'       => esc_html__( 'Allowed HTML: a, span, i, em, strong', 'purosa' ),
        'sanitize_callback' => 'purosa_sanitize_html',
        'default'           => sprintf( esc_html__( 'purosa, Made by %1$sDeoThemes%2$s', 'purosa' ), '<a href="' . esc_url( 'https://deothemes.com' ) . '">', '</a>' ),
    ) );
    /**
     * 404
     */
    // 404 Image upload
    Kirki::add_field( 'purosa_config', array(
        'type'        => 'image',
        'settings'    => 'purosa_404_image',
        'label'       => esc_attr__( '404 Image Upload', 'purosa' ),
        'description' => esc_attr__( 'Recommended size is 1250x298.', 'purosa' ),
        'section'     => 'purosa_404',
        'default'     => get_template_directory_uri() . '/assets/img/defaults/404_page_title.jpg',
    ) );
}

// endif Kirki check