<?php
/**
 * Default Page Template
 *
 * @package Purosa
 * @since   Purosa 1.0.0
 */

get_header(); ?>

<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
		
	<?php
		// Check if the page built with Elementor
		if ( purosa_is_elementor_page() ) : ?>

			<main class="elementor-main-content site-main">				
				<?php the_content(); ?>
			</main>

			<?php
				// Comments
				if ( comments_open() || get_comments_number() ) : ?>
				<div class="container">
					<?php comments_template(); ?>
				</div>
			<?php endif; ?>


			<?php if ( is_active_sidebar( 'purosa-footer-instagram' ) ) : ?>
				<?php dynamic_sidebar( 'purosa-footer-instagram' ); ?>
			<?php endif; ?>

		<?php else : ?>
		
		<div class="section-wrap main-content pt-0">

			<!-- Page Title -->
			<div class="page-title-holder full-overlay text-center" <?php if ( has_post_thumbnail() ) : ?>style="background-image: url(<?php the_post_thumbnail_url(); ?>);" <?php endif; ?> >
				<div class="container">					
					<div class="page-title-holder__inner">
						<h1 class="page-title-holder__title"><?php the_title(); ?></h1>
					</div>			
				</div>		
			</div>

			<div class="container">
				<div class="row">
					<div id="primary" class="content page-content <?php if ( 'fullwidth' !== purosa_layout_type( 'page' ) ) { echo esc_attr( 'col-lg-8' ); } else { echo esc_attr( 'col-lg-12' ); } ?>">
						<main class="site-main">

							<div class="entry__article clearfix">
								<?php the_content(); ?>
							</div>

							<?php purosa_multi_page_pagination(); ?>

							<?php
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;
							?>
						</main>
					</div> <!-- .col -->

					<?php
						// Sidebar
						if ( 'fullwidth' !== purosa_layout_type( 'page' ) ) {
							purosa_sidebar();
						}
					?>

				</div>
			</div>		
		</div>

		<?php if ( is_active_sidebar( 'purosa-footer-instagram' ) ) : ?>
			<?php dynamic_sidebar( 'purosa-footer-instagram' ); ?>
		<?php endif; ?>

	<?php endif; ?> <!-- elementor check -->	
<?php endwhile; endif; ?>

<?php get_footer(); ?>