<?php
/**
 * The template for displaying all single posts.
 *
 * @package Purosa
 */

get_header();
?>

<?php while ( have_posts() ) : the_post(); ?>

<?php
	// Featured Image
	if ( get_theme_mod( 'purosa_post_featured_image_show', true ) ) {
		get_template_part( 'template-parts/featured-image-thumbnail' );
	}
?>

<section class="section-wrap main-content pt-0">
	<div class="container">

		<div class="row <?php if ( 'fullwidth' == purosa_layout_type( 'blog' ) ) { echo esc_attr( 'justify-content-center' ); } ?>">

			<!-- blog content -->
			<div class="blog__content col-lg-8 mb-32">				

				<?php
					if ( function_exists( 'purosa_save_post_views' ) ) {
						purosa_save_post_views( get_the_ID() );
					}								
					get_template_part( 'template-parts/content-single', get_post_format() );
				?>

			</div> <!-- .blog__content -->			

			<?php
				// Sidebar
				if ( 'fullwidth' !== purosa_layout_type( 'blog' ) ) {
					purosa_sidebar();
				}
			?>

		</div>

	</div>
</section> <!-- .main-content -->

<?php endwhile; ?>

<?php
	// Newsletter
	get_template_part( 'template-parts/newsletter-wide' );
?>
	
<?php get_footer(); ?>