<?php
/**
 * Featured area
 *
 * @package Purosa
 */
?>

<div class="featured-area">
	<div class="container">
		<div class="row">

			<?php 
				$string_ID = ( get_theme_mod( 'purosa_featured_area_post_ids', '' ) );
				$post_ID = ( ! empty( $string_ID ) ) ? array_map( 'intval', explode(',', $string_ID )) : '';
				$categories = purosa_categories_dropdown();
				$post_category = ( get_theme_mod( 'purosa_featured_area_categories', $categories[0] ) );
				$order = get_theme_mod( 'purosa_featured_area_order', 'DESC' );
				$orderby = get_theme_mod( 'purosa_featured_area_orderby', 'date' );
			
				$args = array(
					'post_type'      			=> 'post',
					'post__in'       			=> $post_ID,
					'ignore_sticky_posts' => true,
					'posts_per_page' 			=> 3,					
					'order'								=> $order,
					'orderby'        			=> $orderby
				);

				if ( ! empty( $post_ID ) ) {
					$args['orderby'] = 'post__in';
				}

				if ( empty( $post_ID ) ) {
					$args['cat'] = $post_category;
				}

				$featured_query = new WP_Query( $args );
				$i = 1;

				if ( $featured_query->have_posts() ) :
					while ( $featured_query->have_posts() ) : $featured_query->the_post();						

						if ( 1 === $i ) : ?>
							<div class="col-lg-8">
								<article <?php post_class( 'entry entry__grid--large' ); ?>>

									<div class="thumb-bg-holder thumb-container bottom-gradient" <?php if ( has_post_thumbnail() ) : ?>style="background-image: url('<?php the_post_thumbnail_url( 'purosa_featured_large' ); ?>')" <?php endif; ?> >
										<?php if ( has_post_thumbnail() ) : ?>
											<?php the_post_thumbnail( 'purosa_featured_large', array( 'class' => 'd-none' ) ); ?>
										<?php endif; ?>
										<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="thumb-url"></a>
									</div>					

									<div class="thumb-text-holder">

										<?php purosa_meta_category(); ?>

										<h2 class="thumb-entry-title">
											<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
										</h2>
									</div>
								</article>
							</div>
							<div class="col-lg-4">							
						<?php else : ?>
							<article <?php post_class( 'entry entry__grid--small' ); ?>>

								<div class="thumb-bg-holder thumb-container bottom-gradient" <?php if ( has_post_thumbnail() ) : ?>style="background-image: url('<?php the_post_thumbnail_url( 'purosa_featured_large' ); ?>')" <?php endif; ?> >
									<?php if ( has_post_thumbnail() ) : ?>
										<?php the_post_thumbnail( 'purosa_medium', array( 'class' => 'd-none' ) ); ?>
									<?php endif; ?>
									<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>" class="thumb-url"></a>
								</div>

								<div class="thumb-text-holder">

									<?php purosa_meta_category(); ?>
									
									<h2 class="thumb-entry-title">
										<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
									</h2>

								</div>
							</article>

						<?php endif;

						$i++;

					endwhile;

					wp_reset_postdata();

					echo '</div> <!-- .col-lg-4 -->';

				endif;
			?>

		</div>	
	</div>
</div>