<?php
/**
 * @package Purosa
 * 
 * Grid Post Small
 */
?>

<?php
	switch ( purosa_get_columns() ) {
		case 'col-lg-6':
			$purosa_image_size = 'purosa_medium_large';
			break;

		case 'col-lg-12':
			$purosa_image_size = 'purosa_large';
			break;
		
		default:
			$purosa_image_size = 'purosa_medium';
			break;
	}

?>

<article <?php post_class( 'entry' ); ?>>

	<?php if ( has_post_thumbnail() ) : ?>
		<!-- Post thumb -->
		<div class="entry__img-holder">
			<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
				<?php the_post_thumbnail( $purosa_image_size, array( 'class' => 'entry__img' ) ); ?>
			</a>
		</div>
	<?php endif; ?>


	<div class="entry__body">
		<?php if ( get_theme_mod( 'purosa_meta_category_show', true ) ) : ?>
			<?php purosa_meta_category(); ?>
		<?php endif; ?>

		<div class="entry__header">
			<?php the_title( sprintf( '<h2 class="entry__title"><a href="%s">', esc_url( get_permalink() ) ), '</a></h2>' ); ?>
		</div>

		<!-- Excerpt -->
		<?php if ( get_theme_mod( 'purosa_post_excerpt_show', true ) ) : ?>
			<div class="entry__excerpt">
				<?php the_excerpt(); ?>
			</div>
		<?php endif; ?>

		<!-- Meta -->
		<?php if ( get_theme_mod( 'purosa_meta_date_show', true ) || get_theme_mod( 'purosa_meta_comments_show', true ) ) : ?>
			<div class="entry__meta">

				<?php if ( get_theme_mod( 'purosa_meta_date_show', true ) ) : ?>
					<?php purosa_meta_date(); ?>
				<?php endif; ?>

				<?php if ( get_theme_mod( 'purosa_meta_author_show', true ) ) : ?>
					<?php purosa_meta_author(); ?>
				<?php endif; ?>

				<?php if ( get_theme_mod( 'purosa_meta_comments_show', false ) ) : ?>
					<?php purosa_meta_comments(); ?>
				<?php endif; ?>
			</div> 
		<?php endif; ?>

		<!-- Read More -->
		<div class="entry__read-more">
			<a href="<?php the_permalink(); ?>" class="entry__read-more-url"><?php esc_html_e('Read More', 'purosa') ?></a>      
		</div>

	</div> <!-- .entry__body -->

</article><!-- #post-## -->